<?php
require_once(getabspath("classes/cipherer.php"));



$tdatadashboard1 = array();
$tdatadashboard1[".ShortName"] = "dashboard1";

$tdatadashboard1[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdatadashboard1[".originalPagesByType"] = $tdatadashboard1[".pagesByType"];
$tdatadashboard1[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdatadashboard1[".originalPages"] = $tdatadashboard1[".pages"];
$tdatadashboard1[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdatadashboard1[".originalDefaultPages"] = $tdatadashboard1[".defaultPages"];


//	field labels
$fieldLabelsdashboard1 = array();
$pageTitlesdashboard1 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdashboard1["English"] = array();
	$fieldLabelsdashboard1["English"]["electioncase_numElectCase"] = "رقم";
	$fieldLabelsdashboard1["English"]["electioncase_region"] = "منطقة";
	$fieldLabelsdashboard1["English"]["electioncase_numCase"] = "رقم القلم";
	$fieldLabelsdashboard1["English"]["electioncase_totalPers"] = "مجموع";
	$fieldLabelsdashboard1["English"]["electioncase_note"] = "ملاحظات";
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsdashboard1["Arabic"] = array();
	$fieldLabelsdashboard1["Arabic"]["electioncase_numElectCase"] = "رقم";
	$fieldLabelsdashboard1["Arabic"]["electioncase_region"] = "منطقة";
	$fieldLabelsdashboard1["Arabic"]["electioncase_numCase"] = "رقم القلم";
	$fieldLabelsdashboard1["Arabic"]["electioncase_totalPers"] = "مجموع";
	$fieldLabelsdashboard1["Arabic"]["electioncase_note"] = "ملاحظات";
}

//	search fields
$tdatadashboard1[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"electioncase", "field"=>"numElectCase" );
$tdatadashboard1[".searchFields"]["electioncase_numElectCase"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"electioncase", "field"=>"region" );
$tdatadashboard1[".searchFields"]["electioncase_region"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"electioncase", "field"=>"numCase" );
$tdatadashboard1[".searchFields"]["electioncase_numCase"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"electioncase", "field"=>"totalPers" );
$tdatadashboard1[".searchFields"]["electioncase_totalPers"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"electioncase", "field"=>"note" );
$tdatadashboard1[".searchFields"]["electioncase_note"] = $dashField;

// all search fields
$tdatadashboard1[".allSearchFields"] = array();
$tdatadashboard1[".allSearchFields"][] = "electioncase_numElectCase";
$tdatadashboard1[".allSearchFields"][] = "electioncase_region";
$tdatadashboard1[".allSearchFields"][] = "electioncase_numCase";
$tdatadashboard1[".allSearchFields"][] = "electioncase_totalPers";
$tdatadashboard1[".allSearchFields"][] = "electioncase_note";

// good like search fields
$tdatadashboard1[".googleLikeFields"] = array();
$tdatadashboard1[".googleLikeFields"][] = "electioncase_numElectCase";
$tdatadashboard1[".googleLikeFields"][] = "electioncase_region";
$tdatadashboard1[".googleLikeFields"][] = "electioncase_numCase";
$tdatadashboard1[".googleLikeFields"][] = "electioncase_totalPers";
$tdatadashboard1[".googleLikeFields"][] = "electioncase_note";

$tdatadashboard1[".dashElements"] = array();

	$dbelement = array( "elementName" => "electioncase_list", "table" => "electioncase",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "cell_0_0";

					$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 0 > 0;
	$dbelement["deleteRecord"] = 0 > 0;
	$dbelement["copy"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;

	$dbelement["updateSelected"] = 0 > 0;


	$tdatadashboard1[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "statistics_voted_all_region_chart", "table" => "statistics_voted ALL REGION",
		 "pageName" => "","type" => 1);
	$dbelement["cellName"] = "cell_1_0";

			
$dbelement["masterTable"] = "electioncase";

	$tdatadashboard1[".dashElements"][] = $dbelement;

$tdatadashboard1[".shortTableName"] = "dashboard1";
$tdatadashboard1[".entityType"] = 4;



$tableEvents["Dashboard1"] = new eventsBase;
$tdatadashboard1[".hasEvents"] = false;


$tdatadashboard1[".tableType"] = "dashboard";



$tdatadashboard1[".addPageEvents"] = false;

$tdatadashboard1[".isUseAjaxSuggest"] = true;

$tables_data["Dashboard1"]=&$tdatadashboard1;
$field_labels["Dashboard1"] = &$fieldLabelsdashboard1;
$page_titles["Dashboard1"] = &$pageTitlesdashboard1;

?>